> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Token - Transfer Total

> Get total count of transfers for a specific token with filters



## OpenAPI

````yaml /en/api-reference/openapi-data-en.yaml GET /v2/token/{chain}/{tokenAddress}/transfer-total
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: Blockchain related operations
  - name: Token
    description: Token related operations
  - name: Trade
    description: Trade related operations
  - name: Wallet
    description: Wallet related operations
  - name: Dex
    description: Dex related operations
  - name: Ranking
    description: Ranking related operations
  - name: DexPool
    description: DexPool related operations
  - name: Watchlist
    description: Watchlist related operations
  - name: KYT
    description: Kyt related operations
  - name: Webhook
    description: Webhook related operations
  - name: RedPacket
    description: Redpacket related operations
  - name: IPFS
    description: Ipfs related operations
  - name: DexScreener
    description: DexScreener related operations
paths:
  /v2/token/{chain}/{tokenAddress}/transfer-total:
    get:
      tags:
        - Token
      summary: Token - Transfer Total
      description: Get total count of transfers for a specific token with filters
      operationId: get.token.transfer.total
      parameters:
        - name: chain
          in: path
          description: A chain name listed in supported networks
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddress
          in: path
          description: An address of a token
          required: true
          schema:
            type: string
          example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
        - name: beforeTimestamp
          in: query
          description: Filter transfers before this timestamp (Unix epoch seconds)
          required: false
          schema:
            type: integer
            format: int64
          example: 1770336000000
        - name: afterTimestamp
          in: query
          description: Filter transfers after this timestamp (Unix epoch seconds)
          required: false
          schema:
            type: integer
            format: int64
          example: 1770249600000
      responses:
        '200':
          description: Get Transfer Total
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenTransferTotal'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    TokenTransferTotal:
      type: object
      description: Token transfer total count
      required:
        - total
      properties:
        total:
          type: integer
          format: int64
          description: Total number of transfers
          example: 123456
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````